<p align="center">
  <a href="https://travis-ci.com/konkor/obmin"><img src="https://travis-ci.com/konkor/obmin.svg?branch=master" alt="TravisCI"></a>
  <a href="https://github.com/konkor/obmin"><img src="https://img.shields.io/github/license/konkor/obmin.svg" alt="GPLv3 License"></a>
  <a href="https://github.com/konkor/obmin"><img src="https://img.shields.io/github/stars/konkor/obmin.svg?style=social&label=Star&style=flat-square" alt="Stars"></a><br>
</p>

<p align="center">
<a href="https://obmin.github.io"><img src="/data/icons/obmin-run.png" alt="LOGO"></a>
</p>

### [OBMIN](https://obmin.github.io/) **One-Click** File Sharing Solution for your home network and worldwide.
-----

<h2 align="center">Supporting OBMIN Server</h2>

OBMIN Server is an GPLv3-licensed open source project focused on desktop users. It's an independent project with its ongoing development made possible entirely thanks to the support by these awesome [backers](https://github.com/konkor/obmin/blob/master/BACKERS.md). You will also support my other interesting community projects. If you'd like to help the project and want to join to it, please consider:

- [Become a backer or sponsor on Patreon](https://www.patreon.com/konkor).
- [One-time donation via PayPal or Patron.](#donations)

Please, consider to support the project and make it better!

<h3 align="center">Special Sponsors</h3>
<!--special start-->

<p align="center">
  <big>
    Top 5 Supporters could be here with your name or logo and reference.
    <br><br>
    <i>Also the one top will be placed in GUI like 'Sponsored by ...' while there's no one real sponsor!</i>
  </big>
</p>

<!--special end-->

![screencast](https://user-images.githubusercontent.com/1944781/27997375-a73383c2-64ff-11e7-8a86-b9fddca45f42.png)
## Introduction
**Obmin** has convenient user-friendly systray applets for many Desktop Environments like Gnome Shell, Unity, KDE, Mate, LXDE, XFCE, Cinnamon, Pantheon, Budgie DE through the **obmin-indicator** and [Gnome Obmin Extension](https://extensions.gnome.org/extension/1254/obmin/).

## Main Features
* Easy installation.
* Easy setup just choose file(s) locations and click Obmin on.
* Doesn't require ROOT privileges.
* Doesn't require any special client side installation.
* HTTP(S) transfer protocol available everywhere Linux, OSX, Windows, Android, iOS so.
* Secure HTTPS connections.

## Enchanted Features
* Multiple file sources supporting.
* Content filters: symbolic links, backups, hidden files.
* Port configuration.
* TLS Certificate generating.
* Logging of detailed server connections information.
* Real-time monitor of incoming connections and traffic.
* Content theming.
* Various Linux Desktop Environments and distributions.
* Obmin extensions like compressor, slideshow, playlist generator.
* Real-time video streamer with build-in remuxing and encoding.

## Planned Features
* Project website (GitHub Pages).
* Improve logging and monitors.
* More useful extensions.
* Online service to enhance obmin connectivity (need donations).

## Online Resources
* [Project Site](https://obmin.github.io)
* [Wiki](https://github.com/konkor/obmin/wiki)
* [Docker](https://hub.docker.com/r/obmin/obmin/)
* [Gnome](https://extensions.gnome.org/extension/1254/obmin/)

## Contributions
* Report [a bug](https://github.com/konkor/obmin/issues).
* Test it on your favorite Linux distribution.
* Contribute with an idea, graphical content, translation or code [an issue](https://github.com/konkor/obmin/issues).
* Make donation to the project.

## Donations
  I like completely open-source projects. It's why I picked GPLv3 license for my open projects. I think only such license could protect Desktop Users from Business Users. Maybe I'm a dreamer and want to believe in the pure projects but the reality is most projects and FOS organizations are sponsored by big business and founded by them.
  But real life is a hard thing and very complicated by many circumstances. I'm not young and all we have it's our life (time) and where we'll be tomorrow. Life is hard. I'd like it to work on my projects productively which want a lot of time and affords. Now I want get your support to have ability to support and develop projects.

- [Become a backer or sponsor on Patreon](https://www.patreon.com/konkor).
- One-time donation via [PayPal EURO](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=WVAS5RXRMYVC4), [PayPal USD](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=HGAFMMMQ9MQJ2) or Patron where you can choose a custom pledge.

* Contact to the author [here](https://konkor.github.io/index.html#contact).

_Behind the development for the Linux Desktop are ordinary people who spend a lot of time and their own resources to make the Linux Desktop better. Thank you for your contributions!_


## Installation

[See more about compilation and installation...](/INSTALL.md)

### Sources and binary packages
* [GitHub master branch](https://github.com/konkor/obmin/archive/master.zip)
* [GitHub development branch](https://github.com/konkor/obmin/archive/devel.zip)
* [Gnome extensions repository](https://extensions.gnome.org/extension/1254/obmin/)
* [Latest deb package for Debian/Ubuntu flavors](https://github.com/konkor/obmin/raw/devel/releases/obmin_latest_all.deb)

## License

[GPLv3](https://www.gnu.org/licenses/gpl.html)
